Bug 500168 - Provisioning, xen guest ks status moves to complete prematurely
Provisioning, xen guest ks status moves to complete prematurely
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
https://riverraid.rhndev.redhat.com/r...
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-05-11 09:44 EDT by wes hayutin
Modified: 2009-09-10 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (374.98 KB, image/png)
2009-05-11 09:44 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-05-11 09:44:22 EDT
Created attachment 343448 [details]
ss

Description of problem:

5/7.1 build rhel 5 server

recreate.

in my recreate I used a x86_64 rhel 5 pv host
1. ks a x86_64 xen guest
2. ks initiates and moves directly to complete, the ks session does continue to install packages and completes eventually.

see screenshot
Comment 1 wes hayutin 2009-05-11 10:05:37 EDT
recreated on rhel5u3 i386 host w/ i386 rhel 5u3 guest
Comment 2 Justin Sherrill 2009-05-14 13:50:41 EDT
417cf4d


Apparently the backend was marking the session complete when the initiate() call was made.  Silly backend.
Comment 3 wes hayutin 2009-05-28 11:03:58 EDT
verified 5/21.1
Comment 4 John Matthews 2009-07-29 17:08:29 EDT
Moving to RELEASE_PENDING

ISO: Satellite-5.3.0-RHEL4-re20090724.0-s390x.iso
Comment 5 Brandon Perkins 2009-09-10 15:25:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.